GNU bug report logs - #44763
Error when 'make'ing latest version of coreutils

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: coreutils; Reported by: Chris Elvidge <celvidge001@HIDDEN>; dated Fri, 20 Nov 2020 14:20:01 UTC; Maintainer for coreutils is bug-coreutils@HIDDEN.

Message received at 44763 <at> debbugs.gnu.org:


Received: (at 44763) by debbugs.gnu.org; 21 Nov 2020 17:34:18 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Nov 21 12:34:18 2020
Received: from localhost ([127.0.0.1]:46019 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kgWmA-0004ee-2B
	for submit <at> debbugs.gnu.org; Sat, 21 Nov 2020 12:34:18 -0500
Received: from mail-wr1-f43.google.com ([209.85.221.43]:40574)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <celvidge001@HIDDEN>) id 1kgWm5-0004eO-5t
 for 44763 <at> debbugs.gnu.org; Sat, 21 Nov 2020 12:34:16 -0500
Received: by mail-wr1-f43.google.com with SMTP id m6so14147439wrg.7
 for <44763 <at> debbugs.gnu.org>; Sat, 21 Nov 2020 09:34:13 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=subject:to:references:from:message-id:date:user-agent:mime-version
 :in-reply-to:content-language:content-transfer-encoding;
 bh=Ly75TqL9/zA4i+mMh2YkPNDDkU3thaCsvEhkXhdUss8=;
 b=MpDXsk7AkBWVlsTX0IRX0T2n9qS7GXcUQNnKdOcTfeH9qgnE1l8Q7ELhfLxYHn3fSF
 bOp4/e9IZJId5rECUI4Bu0yioenoWnNsjtaiowrhgslI9s/4oe/VeMG+m2MQghliLfNZ
 wnKcxScyodNEfx8hG6Amzx9WngarEL1r7ku8EdB5F9BC0Wd2pukDJHPkDTjJkUfBF4Xw
 k2EdjEFfbV19gt7pExQF2wC85Oc5Doe9XC4rxV/6lG2wyYMO9DIMr96rYtpZEuSh/5VK
 LtSEe/xFB3a10JNk5LCS8qZ2L4SgPT//ofHKq0v/e3VBIb5MdcvUM5l8HGbGHqNrVhtG
 2sdA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:subject:to:references:from:message-id:date
 :user-agent:mime-version:in-reply-to:content-language
 :content-transfer-encoding;
 bh=Ly75TqL9/zA4i+mMh2YkPNDDkU3thaCsvEhkXhdUss8=;
 b=GRYX9qIDq2kosL9trv+HfNcf8MSwzSaqvqBFMoq4KfiLL4cNvfQp9SyvzQBZ0DADhn
 KNfuBlBc0d8iUZ29fHvVRs8WisGa0b+cTmTjC0KCLc5sZRdm4W0vhzQJCRFt/xFmZg40
 sgKHx69vXQ8yVV/4VpHPUcIinB1yt50h6lMZBuKwK2UAiwgxcrf2C3VBSr3n4pKO/7KO
 egFhp1BS+uEizfbL9+C9VIPQHrQ4WrCE/T7JmmXfeHaIdGG3QctNxMiLJdhp4YXCO2Jo
 vI3EmP7+MZTALqbmkgoEswyHdWO/c9MLpfJpPLDNzlpJWsLh1j/mTrNRXaYuG+YrdMnp
 S+dg==
X-Gm-Message-State: AOAM5305iVzbQDNggcxHzfwSGtnNrFLOCTmoYFwbMUEo7nNuVl7LU/0u
 lepPhC0FXx1Ra9K9tn5dVYE=
X-Google-Smtp-Source: ABdhPJzNmjeo2HbAZoQfkOBoytmRP4eIlTYBJ320qXmpOKv6HSjzW21PSTCazIXWsnVTKAve7oGR6w==
X-Received: by 2002:a5d:4bc7:: with SMTP id l7mr23819397wrt.105.1605980047280; 
 Sat, 21 Nov 2020 09:34:07 -0800 (PST)
Received: from [192.168.23.100] (92.40.177.109.threembb.co.uk. [92.40.177.109])
 by smtp.gmail.com with ESMTPSA id t11sm8006251wmf.35.2020.11.21.09.34.05
 (version=TLS1_2 cipher=ECDHE-ECDSA-AES128-GCM-SHA256 bits=128/128);
 Sat, 21 Nov 2020 09:34:06 -0800 (PST)
Subject: Re: bug#44763: Error when 'make'ing latest version of coreutils
To: Akim Demaille <akim.demaille@HIDDEN>, =?UTF-8?Q?P=c3=a1draig_Brady?=
 <P@HIDDEN>, 44763 <at> debbugs.gnu.org,
 Bernhard Voelker <mail@HIDDEN>
References: <dc06b729-a6ac-5a43-cc91-e2d1a95d7f18@HIDDEN>
 <50d4f4d9-919a-3c19-7ff0-1e867c676765@HIDDEN>
 <ad4e9104-1f00-364c-e8db-69a23bc02a4c@HIDDEN>
 <d012a0c5-c073-bade-6c33-b5aca154c975@HIDDEN>
 <F2E62A6F-0B81-451D-A3CA-B57437C027CC@HIDDEN>
From: Chris Elvidge <celvidge001@HIDDEN>
Message-ID: <aa62a1ee-bfbf-da15-6b17-23c243d63ad7@HIDDEN>
Date: Sat, 21 Nov 2020 17:33:50 +0000
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:52.0) Gecko/20100101
 Thunderbird/52.2.1 Lightning/5.4
MIME-Version: 1.0
In-Reply-To: <F2E62A6F-0B81-451D-A3CA-B57437C027CC@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-GB
Content-Transfer-Encoding: 8bit
X-Spam-Score: 3.8 (+++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: These are the commands as run: git clone
 git://git.sv.gnu.org/coreutils
 cd coreutils ./bootstrap | tee -a out_bootstrap.1 git submodule foreach git
 pull origin master git config --global user.email "celvidge001@HIDDEN"
 git confi [...] 
 Content analysis details:   (3.8 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (celvidge001[at]gmail.com)
 0.2 FREEMAIL_ENVFROM_END_DIGIT Envelope-from freemail username ends
 in digit (celvidge001[at]gmail.com)
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
 no trust [209.85.221.43 listed in list.dnswl.org]
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
 [209.85.221.43 listed in wl.mailspike.net]
 3.6 RCVD_IN_SBL_CSS        RBL: Received via a relay in Spamhaus SBL-CSS
 [92.40.177.109 listed in zen.spamhaus.org]
 -0.0 NICE_REPLY_A           Looks like a legit reply (A)
X-Debbugs-Envelope-To: 44763
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 2.8 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  These are the commands as run: git clone git://git.sv.gnu.org/coreutils
    cd coreutils ./bootstrap | tee -a out_bootstrap.1 git submodule foreach git
    pull origin master git config --global user.email "celvidge001@HIDDEN"
    git confi [...] 
 
 Content analysis details:   (2.8 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
                             [209.85.221.43 listed in wl.mailspike.net]
  3.6 RCVD_IN_SBL_CSS        RBL: Received via a relay in Spamhaus SBL-CSS
                             [92.40.177.109 listed in zen.spamhaus.org]
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
                              no trust
                             [209.85.221.43 listed in list.dnswl.org]
  0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
                             provider (celvidge001[at]gmail.com)
  0.2 FREEMAIL_ENVFROM_END_DIGIT Envelope-from freemail username ends
                             in digit (celvidge001[at]gmail.com)
 -0.0 SPF_PASS               SPF: sender matches SPF record
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager
 -0.0 NICE_REPLY_A           Looks like a legit reply (A)

These are the commands as run:

git clone git://git.sv.gnu.org/coreutils
cd coreutils
./bootstrap | tee -a out_bootstrap.1
git submodule foreach git pull origin master
git config --global user.email "celvidge001@HIDDEN"
git config --global user.name "Chris Elvidge"
git commit -m 'build: update gnulib submodule to latest' gnulib
git clean -xdfq && ./bootstrap | tee -a out_bootstrap.2
./configure  TIME_T_32_BIT_OK=yes | tee -a out_configure.1

I've got the output of the second bootstrap run (git clean deleted the 
first one, I think) and the configure run.
However I've only got the error message at the end on the make run.

   CC       lib/parse-datetime.o
In file included from lib/gettext.h:26:0,
                  from parse-datetime.y:71:
parse-datetime.y: In function 'parse_datetime2':
parse-datetime.y:2301:27: error: format '%lld' expects argument of type 
'long long int', but argument 2 has type 'time_t {aka long int}' 
[-Werror=format=]
parse-datetime.y:2301:25: note: in expansion of macro '_'
cc1: all warnings being treated as errors
Makefile:9842: recipe for target 'lib/parse-datetime.o' failed
make[2]: *** [lib/parse-datetime.o] Error 1
make[2]: Leaving directory '/home/chris/Downloads/coreutils'
Makefile:12479: recipe for target 'all-recursive' failed
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory '/home/chris/Downloads/coreutils'
Makefile:6581: recipe for target 'all' failed
make: *** [all] Error 2

I'll send the 30K gzipped file direct to Akim separately, if that's OK.

Cheers

On 21/11/2020 04:53 pm, Akim Demaille wrote:
> Hi all,
> 
>> Le 20 nov. 2020 à 16:48, Pádraig Brady <P@HIDDEN> a écrit :
>>
>> See also https://bugs.gnu.org/44739
> 
> There, I just read this:
> 
>>> I found that I needed to upgrade to Bison v3.7.4 to avoid a build error
>>> in stdlib.h where @GNULIB_POSIX_MEMALIGN@ has not been converted by
>>> Bison. The check in your bootstrap program allows for an older version
>>> of Bison to be used which fails to do the necessary conversion.
> 
> which is not correct.  Bison does not perform any transformation
> on @FOO@ at all.  This is completely unrelated to it.  What would
> be most useful is to get the generated files and see what they
> look like.
> 
> Also, I might have missed messages, but I would like to see a
> plain copy-paste of the terminal where I can see exactly what
> commands were run, and what the tools reported.
> 
> Cheers!
> 


-- 

Chris Elvidge







Information forwarded to bug-coreutils@HIDDEN:
bug#44763; Package coreutils. Full text available.

Message received at 44763 <at> debbugs.gnu.org:


Received: (at 44763) by debbugs.gnu.org; 21 Nov 2020 16:53:52 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Nov 21 11:53:52 2020
Received: from localhost ([127.0.0.1]:46005 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kgW92-0003gk-Gb
	for submit <at> debbugs.gnu.org; Sat, 21 Nov 2020 11:53:52 -0500
Received: from mail-wr1-f44.google.com ([209.85.221.44]:40052)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <akim.demaille@HIDDEN>) id 1kgW90-0003gX-40
 for 44763 <at> debbugs.gnu.org; Sat, 21 Nov 2020 11:53:51 -0500
Received: by mail-wr1-f44.google.com with SMTP id m6so14076450wrg.7
 for <44763 <at> debbugs.gnu.org>; Sat, 21 Nov 2020 08:53:49 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:subject:from:in-reply-to:date:cc
 :content-transfer-encoding:message-id:references:to;
 bh=lZPJsI8VqbeRhOUQksAJklcx8/XslSg6uC5KOf85G8Y=;
 b=CSKX2C2UBWoY++nND9FbzMdqEQgANj88IZCN0fQPRF1cJaftrwZxpvidjqMxYRUjwF
 Qr7WrtWpKZk3LIyiG5BGqO86r31tNKkyeQ/7simFXCEig49o3I6POi3Om7DWxvMsCl+V
 yeBtQ6eEJ5O/j21dXmH76T7FvBV+rwFCDJZ/w0U/cGDF1ylqHN/WJ53NKJC3UZfwNGYP
 ttcieicLBzQvK9fM8C6Opt4EKySKC4lYbyEqwL2uDhxK+BHT8QMm1q8OO2C090rTTxmX
 CJb4MjM1TqSk7jHmEv87mSSfctMguQ5SmJQHQ29nRV8enbgvyPrCTDMrQ8/2x5Rr7OEK
 Ezow==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:subject:from:in-reply-to:date:cc
 :content-transfer-encoding:message-id:references:to;
 bh=lZPJsI8VqbeRhOUQksAJklcx8/XslSg6uC5KOf85G8Y=;
 b=kVrJeLX8ODEhMrI2apGrSK/DXAb7kf+Z5Sc9fmNCP4s5cDlTcLgoco+filMEyDMkUY
 120Z2toVTFydhHb1la44Sx2oW2jwbZPs2MYBaEtYPVxNnx0G9PAqQir7vAwUzuQSbXhN
 LBly8U3iFS145pTsFVVGSym7we7GpmDHS4zhntlhHE4QXWTVeyh5ESb60P2o2oVmqpn8
 AniV75bREahy8Z+B2DW/KxQprTxb2ddfSS4isYlb4vqThlDEHHUTLhuF9n2ZSMrbs8Oa
 a/sa7uED9HMnNHLmHD/R2xtGjjPzndeQagJ9fN/+I5pj8pKtLxvzXD3Xry4eLxXu96Q8
 Zd3A==
X-Gm-Message-State: AOAM533A8/jq7Y7t19JA4pOazxPNXLUy9qDpJiydXEoWBry+yAkz33PS
 6a7xwxny+Qbcrez6z1E24JI=
X-Google-Smtp-Source: ABdhPJxXBt96vJnii919ww4txs3XSex0RR0YPmDoI/V5Zly+6t9HSLkgU9D5BUxnfhoTsJitToWYew==
X-Received: by 2002:adf:9461:: with SMTP id 88mr21546319wrq.171.1605977624154; 
 Sat, 21 Nov 2020 08:53:44 -0800 (PST)
Received: from ?IPv6:2a01:e35:2fd9:96a0:883f:70d9:fd1d:dfef?
 ([2a01:e35:2fd9:96a0:883f:70d9:fd1d:dfef])
 by smtp.gmail.com with ESMTPSA id 140sm8214353wme.14.2020.11.21.08.53.42
 (version=TLS1_2 cipher=ECDHE-ECDSA-AES128-GCM-SHA256 bits=128/128);
 Sat, 21 Nov 2020 08:53:43 -0800 (PST)
Content-Type: text/plain;
	charset=utf-8
Mime-Version: 1.0 (Mac OS X Mail 12.4 \(3445.104.17\))
Subject: Re: bug#44763: Error when 'make'ing latest version of coreutils
From: Akim Demaille <akim.demaille@HIDDEN>
In-Reply-To: <d012a0c5-c073-bade-6c33-b5aca154c975@HIDDEN>
Date: Sat, 21 Nov 2020 17:53:42 +0100
Content-Transfer-Encoding: quoted-printable
Message-Id: <F2E62A6F-0B81-451D-A3CA-B57437C027CC@HIDDEN>
References: <dc06b729-a6ac-5a43-cc91-e2d1a95d7f18@HIDDEN>
 <50d4f4d9-919a-3c19-7ff0-1e867c676765@HIDDEN>
 <ad4e9104-1f00-364c-e8db-69a23bc02a4c@HIDDEN>
 <d012a0c5-c073-bade-6c33-b5aca154c975@HIDDEN>
To: =?utf-8?Q?P=C3=A1draig_Brady?= <P@HIDDEN>
X-Mailer: Apple Mail (2.3445.104.17)
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 44763
Cc: Chris Elvidge <celvidge001@HIDDEN>, 44763 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hi all,

> Le 20 nov. 2020 =C3=A0 16:48, P=C3=A1draig Brady <P@HIDDEN> a =
=C3=A9crit :
>=20
> See also https://bugs.gnu.org/44739

There, I just read this:

>> I found that I needed to upgrade to Bison v3.7.4 to avoid a build =
error=20
>> in stdlib.h where @GNULIB_POSIX_MEMALIGN@ has not been converted by=20=

>> Bison. The check in your bootstrap program allows for an older =
version=20
>> of Bison to be used which fails to do the necessary conversion.

which is not correct.  Bison does not perform any transformation
on @FOO@ at all.  This is completely unrelated to it.  What would
be most useful is to get the generated files and see what they
look like.

Also, I might have missed messages, but I would like to see a
plain copy-paste of the terminal where I can see exactly what
commands were run, and what the tools reported.

Cheers!=




Information forwarded to bug-coreutils@HIDDEN:
bug#44763; Package coreutils. Full text available.

Message received at 44763 <at> debbugs.gnu.org:


Received: (at 44763) by debbugs.gnu.org; 21 Nov 2020 15:54:51 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Nov 21 10:54:51 2020
Received: from localhost ([127.0.0.1]:45977 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kgVDv-0002L4-7N
	for submit <at> debbugs.gnu.org; Sat, 21 Nov 2020 10:54:51 -0500
Received: from mail-wr1-f47.google.com ([209.85.221.47]:45688)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <celvidge001@HIDDEN>) id 1kgVDr-0002Kn-KF
 for 44763 <at> debbugs.gnu.org; Sat, 21 Nov 2020 10:54:50 -0500
Received: by mail-wr1-f47.google.com with SMTP id t4so1052748wrr.12
 for <44763 <at> debbugs.gnu.org>; Sat, 21 Nov 2020 07:54:47 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=subject:to:references:from:message-id:date:user-agent:mime-version
 :in-reply-to:content-language:content-transfer-encoding;
 bh=Ns/RRO27ZCgg/GmDp5aWvm4fKBtYZZPucZML3qGB0bE=;
 b=XfoXmgAf+r1XRQzuFUK/wiQkDT/d5QfIt7auFYxwX3E0ns8D6oYs832id7i0huu8Hs
 wlSd3/I4vvdeN4UcNg9Mu4zrdWPE57f6Xj9Pku0UiF7ZITHjbiMHAxPWScqnLX4qq3fg
 Bunf+wslMOj4oER9fqL8doHT8ITewbLWzDHh+RtZaifI2NomCbC4/SlSmErdMcF30eW9
 4vbG39s/lYkpq7VEWJ1uv1AYsWtmddZOd4RKZZO6JZdO+JsXos72Fw4TT9z1aYssyigE
 FyJfT0P9mR5AKMqb4Bn9DUM94NS+28TSSznxI2aIk2Bcev7nMeMFBdiFJsycJrG9EbmM
 P0yw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:subject:to:references:from:message-id:date
 :user-agent:mime-version:in-reply-to:content-language
 :content-transfer-encoding;
 bh=Ns/RRO27ZCgg/GmDp5aWvm4fKBtYZZPucZML3qGB0bE=;
 b=iQIJD5jtIINBbgW+KwiV9njMRGXVbD0YS1AWnjc9Zs9fFZw+pBZBTdoheb4LOqxMFJ
 BjxgSnN4E090hQRQMki5qE2c1VisFs0lZIEolzwcOKxDzFZr+/MjI6BqpEMySjHudnuX
 2bvURcOYH+Matb8ZgsfBRlit5QZNvbt8naRe7rcdSAy1fqBH1BVGSM+spyP7DfoGpP4/
 E6MsLj2qSMNlORPgyNrNH1f0p9tP/LdCbf790869XuO1W0dL2mJxjJdt42dbjTk/rXo5
 KfHRuGBnLzaoT7qte7lwl4NXNk1Nb4XadgV0iDo9QZZrf7xkn3Kw2Nke4mjrM4H6EoBN
 YSew==
X-Gm-Message-State: AOAM530xki9N3xVn7kM9AK3QtuIh0iq4upWs/yG7lx39ndWWPuQBX3Ck
 sPCl17Z4fECymxOlWZrdWTY=
X-Google-Smtp-Source: ABdhPJwpZh46SRHpOQ9BiL9Go8FKr4QUls57CaAP/eJYRqgnnWLH4Vq+FSlXGCaF3y6zxX15jbxrBA==
X-Received: by 2002:a05:6000:10c9:: with SMTP id
 b9mr23472267wrx.251.1605974081780; 
 Sat, 21 Nov 2020 07:54:41 -0800 (PST)
Received: from [192.168.23.100] (92.40.177.109.threembb.co.uk. [92.40.177.109])
 by smtp.gmail.com with ESMTPSA id p3sm9084991wrs.50.2020.11.21.07.54.40
 (version=TLS1_2 cipher=ECDHE-ECDSA-AES128-GCM-SHA256 bits=128/128);
 Sat, 21 Nov 2020 07:54:40 -0800 (PST)
Subject: Re: bug#44763: Error when 'make'ing latest version of coreutils
To: Bernhard Voelker <mail@HIDDEN>,
 =?UTF-8?Q?P=c3=a1draig_Brady?= <P@HIDDEN>, 44763 <at> debbugs.gnu.org,
 Akim Demaille <akim.demaille@HIDDEN>
References: <dc06b729-a6ac-5a43-cc91-e2d1a95d7f18@HIDDEN>
 <50d4f4d9-919a-3c19-7ff0-1e867c676765@HIDDEN>
 <ad4e9104-1f00-364c-e8db-69a23bc02a4c@HIDDEN>
 <d012a0c5-c073-bade-6c33-b5aca154c975@HIDDEN>
 <1eba60e7-2894-e3f1-eb08-b0a48205908c@HIDDEN>
 <13c334b7-83bc-9a1b-b6ac-c35f7e0e63fd@HIDDEN>
From: Chris Elvidge <celvidge001@HIDDEN>
Message-ID: <cbc174ae-ab5f-ca8b-a741-7e21ae3987c8@HIDDEN>
Date: Sat, 21 Nov 2020 15:54:28 +0000
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:52.0) Gecko/20100101
 Thunderbird/52.2.1 Lightning/5.4
MIME-Version: 1.0
In-Reply-To: <13c334b7-83bc-9a1b-b6ac-c35f7e0e63fd@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-GB
Content-Transfer-Encoding: 8bit
X-Spam-Score: 4.8 (++++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: Still no luck. Same error in parse-datetime.y Cheers On
 21/11/2020
 01:17 pm, Bernhard Voelker wrote: > On 11/20/20 5:38 PM, Chris Elvidge wrote:
 >> Reran the whole thing from git clone etc. >> ( >> git clone
 git://git.sv.gnu.org/coreutils >> cd coreutil [...] 
 Content analysis details:   (4.8 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (celvidge001[at]gmail.com)
 3.6 RCVD_IN_SBL_CSS        RBL: Received via a relay in Spamhaus SBL-CSS
 [92.40.177.109 listed in zen.spamhaus.org]
 0.2 FREEMAIL_ENVFROM_END_DIGIT Envelope-from freemail username ends
 in digit (celvidge001[at]gmail.com)
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
 no trust [209.85.221.47 listed in list.dnswl.org]
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
 [209.85.221.47 listed in wl.mailspike.net]
 -0.0 NICE_REPLY_A           Looks like a legit reply (A)
 1.0 FREEMAIL_REPLY         From and body contain different freemails
X-Debbugs-Envelope-To: 44763
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 2.8 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  Still no luck. Same error in parse-datetime.y Cheers On 21/11/2020
    01:17 pm, Bernhard Voelker wrote: > On 11/20/20 5:38 PM, Chris Elvidge wrote:
    >> Reran the whole thing from git clone etc. >> ( >> git clone git://git.sv.gnu.org/coreutils
    >> cd coreutil [...] 
 
 Content analysis details:   (2.8 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
                             [209.85.221.47 listed in wl.mailspike.net]
  3.6 RCVD_IN_SBL_CSS        RBL: Received via a relay in Spamhaus SBL-CSS
                             [92.40.177.109 listed in zen.spamhaus.org]
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
                              no trust
                             [209.85.221.47 listed in list.dnswl.org]
  0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
                             provider (celvidge001[at]gmail.com)
  0.2 FREEMAIL_ENVFROM_END_DIGIT Envelope-from freemail username ends
                             in digit (celvidge001[at]gmail.com)
 -0.0 SPF_PASS               SPF: sender matches SPF record
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager
 -0.0 NICE_REPLY_A           Looks like a legit reply (A)

Still no luck. Same error in parse-datetime.y
Cheers

On 21/11/2020 01:17 pm, Bernhard Voelker wrote:
> On 11/20/20 5:38 PM, Chris Elvidge wrote:
>> Reran the whole thing from git clone etc.
>> (
>> git clone git://git.sv.gnu.org/coreutils
>> cd coreutils
>> ./bootstrap
>> git submodule foreach git pull origin master
>> git config --global user.email "celvidge001@HIDDEN"
>> git config --global user.name "Chris Elvidge"
>> git commit -m 'build: update gnulib submodule to latest' gnulib
>> ./configure
>> )
> 
> In general it is advised that one has to
> 
>   git clean -xdfq \
>    && ./bootstrap
> 
> again after a gnulib update.
> 
> Have a nice day,
> Berny
> 


-- 

Chris Elvidge

5 Ebor Park, Appleton Roebuck, York.  YO23 7DZ.
Tel (Mob): +447443472958 mailto:celvidge@HIDDEN

Calle Padre Raimundo Codesal 1, Vélez-Málaga, 29700, España






Information forwarded to bug-coreutils@HIDDEN:
bug#44763; Package coreutils. Full text available.

Message received at 44763 <at> debbugs.gnu.org:


Received: (at 44763) by debbugs.gnu.org; 21 Nov 2020 14:37:35 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Nov 21 09:37:35 2020
Received: from localhost ([127.0.0.1]:45176 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kgU19-0004bG-A8
	for submit <at> debbugs.gnu.org; Sat, 21 Nov 2020 09:37:35 -0500
Received: from mail-wm1-f47.google.com ([209.85.128.47]:36911)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <celvidge001@HIDDEN>) id 1kgU16-0004b2-Ns
 for 44763 <at> debbugs.gnu.org; Sat, 21 Nov 2020 09:37:34 -0500
Received: by mail-wm1-f47.google.com with SMTP id h21so13122145wmb.2
 for <44763 <at> debbugs.gnu.org>; Sat, 21 Nov 2020 06:37:32 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=subject:to:references:from:message-id:date:user-agent:mime-version
 :in-reply-to:content-language:content-transfer-encoding;
 bh=dxMR5HYJ5kXO1J+LvulMy1+gpofhWBcewri8V46l+mo=;
 b=lNa4839tZA/NI4cLiGm4mBzOHTANOH3kIUYu5lVPBEHVNOAxzvJDItE4KMgN9VmZjW
 Buy5U5JJOQKc6L2zPvMZTP+pZzUrzZS/njUuSJS5L0OKms0b6QGA2VmXCnZWgnfWv0gp
 VZBzcqwkhw6ZWE65/nZSVGqUIiLgY0rnDjOrt1SinFvqDMsiDkdftCUp1ygW0ya09U+/
 M0MFp+JNq8O1sOUKrQwpjAuRMD1MCfVCjpkddkS+vxflI79gyyYEaUW2XMyR7dtNVlrM
 oCJocZFuqYCWdqZodaSpvPxivT8KYo1Rot9G9hNtBWpaJIaNcXHU7vmlYZZxzu1EAId3
 PiwQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:subject:to:references:from:message-id:date
 :user-agent:mime-version:in-reply-to:content-language
 :content-transfer-encoding;
 bh=dxMR5HYJ5kXO1J+LvulMy1+gpofhWBcewri8V46l+mo=;
 b=c3OjfZXv11RTh4BqzdtqGm50OuRnqy9w4d9uvOOWKsVI/bfgV25rVxuJujiD6Z8ZAJ
 JrrnMQXhmmVqg6BRwEkFbq8ZNz/+1COfKksS2eOuHtiemrPAKdcKYNkiUsM06FdoZPFO
 X4VsIzZH1/LCppq01eFmEOeVq174viAViEClwqTm6CB1VUAndUQmZrx7xdToOFiMfls/
 F8iUNuC81Y1dzLx8Kj7rs+op1vEXAUmObJdxAUMV2WV4BSEOhDp/aL0UAcJAJ5ji3G69
 nrQ/HnhAbqTg3oCG5yGCyuAybq3LxclPm5Vw1lZFjjFUSmausic2fe5RB87RT+Gr0h6v
 amuA==
X-Gm-Message-State: AOAM53187z8NhAQABGWFFJw9bFEy4FxDMmgAg+7TN3Dw9E5jvolJDyt/
 +8eqqHfJxNR4vCLKdsaVm6Y=
X-Google-Smtp-Source: ABdhPJyDe6wIMfspf6x8c4cZ5833U8mMGf6HpfpNY2QmXQjGgm2U1wQno1kJEhD4+r014LQ5RJgdzw==
X-Received: by 2002:a1c:a70b:: with SMTP id q11mr15710226wme.90.1605969446932; 
 Sat, 21 Nov 2020 06:37:26 -0800 (PST)
Received: from [192.168.23.100] (92.40.177.109.threembb.co.uk. [92.40.177.109])
 by smtp.gmail.com with ESMTPSA id b4sm8267909wmc.1.2020.11.21.06.37.22
 (version=TLS1_2 cipher=ECDHE-ECDSA-AES128-GCM-SHA256 bits=128/128);
 Sat, 21 Nov 2020 06:37:25 -0800 (PST)
Subject: Re: bug#44763: Error when 'make'ing latest version of coreutils
To: Bernhard Voelker <mail@HIDDEN>,
 =?UTF-8?Q?P=c3=a1draig_Brady?= <P@HIDDEN>, 44763 <at> debbugs.gnu.org,
 Akim Demaille <akim.demaille@HIDDEN>
References: <dc06b729-a6ac-5a43-cc91-e2d1a95d7f18@HIDDEN>
 <50d4f4d9-919a-3c19-7ff0-1e867c676765@HIDDEN>
 <ad4e9104-1f00-364c-e8db-69a23bc02a4c@HIDDEN>
 <d012a0c5-c073-bade-6c33-b5aca154c975@HIDDEN>
 <1eba60e7-2894-e3f1-eb08-b0a48205908c@HIDDEN>
 <13c334b7-83bc-9a1b-b6ac-c35f7e0e63fd@HIDDEN>
From: Chris Elvidge <celvidge001@HIDDEN>
Message-ID: <a1b92a1e-2777-0794-916e-eabbf9614da5@HIDDEN>
Date: Sat, 21 Nov 2020 14:37:08 +0000
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:52.0) Gecko/20100101
 Thunderbird/52.2.1 Lightning/5.4
MIME-Version: 1.0
In-Reply-To: <13c334b7-83bc-9a1b-b6ac-c35f7e0e63fd@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-GB
Content-Transfer-Encoding: 8bit
X-Spam-Score: 4.8 (++++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  Well, that got me a bit further. Thanks. Now the error from
 'make' is: CC lib/parse-datetime.o In file included from lib/gettext.h:26:0,
 from parse-datetime.y:71: parse-datetime.y: In function 'parse_datetime2':
 parse-datetime.y:2301:27: error: format '%lld' expects arg [...] 
 Content analysis details:   (4.8 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (celvidge001[at]gmail.com)
 3.6 RCVD_IN_SBL_CSS        RBL: Received via a relay in Spamhaus SBL-CSS
 [92.40.177.109 listed in zen.spamhaus.org]
 0.2 FREEMAIL_ENVFROM_END_DIGIT Envelope-from freemail username ends
 in digit (celvidge001[at]gmail.com)
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
 [209.85.128.47 listed in wl.mailspike.net]
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
 no trust [209.85.128.47 listed in list.dnswl.org]
 -0.0 NICE_REPLY_A           Looks like a legit reply (A)
 1.0 FREEMAIL_REPLY         From and body contain different freemails
X-Debbugs-Envelope-To: 44763
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 2.8 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  Well, that got me a bit further. Thanks. Now the error from
    'make' is: CC lib/parse-datetime.o In file included from lib/gettext.h:26:0,
    from parse-datetime.y:71: parse-datetime.y: In function 'parse_datetime2':
    parse-datetime.y:2301:27: error: format '%lld' expects arg [...] 
 
 Content analysis details:   (2.8 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
                             [209.85.128.47 listed in wl.mailspike.net]
  3.6 RCVD_IN_SBL_CSS        RBL: Received via a relay in Spamhaus SBL-CSS
                             [92.40.177.109 listed in zen.spamhaus.org]
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
                              no trust
                             [209.85.128.47 listed in list.dnswl.org]
  0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
                             provider (celvidge001[at]gmail.com)
  0.2 FREEMAIL_ENVFROM_END_DIGIT Envelope-from freemail username ends
                             in digit (celvidge001[at]gmail.com)
 -0.0 SPF_PASS               SPF: sender matches SPF record
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager
 -0.0 NICE_REPLY_A           Looks like a legit reply (A)

Well, that got me a bit further. Thanks.
Now the error from 'make' is:

   CC       lib/parse-datetime.o
In file included from lib/gettext.h:26:0,
                  from parse-datetime.y:71:
parse-datetime.y: In function 'parse_datetime2':
parse-datetime.y:2301:27: error: format '%lld' expects argument of type 
'long long int', but argument 2 has type 'time_t {aka long int}' 
[-Werror=format=]
parse-datetime.y:2301:25: note: in expansion of macro '_'
cc1: all warnings being treated as errors
Makefile:9842: recipe for target 'lib/parse-datetime.o' failed
make[2]: *** [lib/parse-datetime.o] Error 1
make[2]: Leaving directory '/home/chris/Downloads/coreutils'
Makefile:12479: recipe for target 'all-recursive' failed
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory '/home/chris/Downloads/coreutils'
Makefile:6581: recipe for target 'all' failed
make: *** [all] Error 2

I tried ./configure TIME_T_32_BIT_OK=yes - didn't make any difference.

I'm going to try again from scratch.
I'll let you know.

On 21/11/2020 01:17 pm, Bernhard Voelker wrote:
> On 11/20/20 5:38 PM, Chris Elvidge wrote:
>> Reran the whole thing from git clone etc.
>> (
>> git clone git://git.sv.gnu.org/coreutils
>> cd coreutils
>> ./bootstrap
>> git submodule foreach git pull origin master
>> git config --global user.email "celvidge001@HIDDEN"
>> git config --global user.name "Chris Elvidge"
>> git commit -m 'build: update gnulib submodule to latest' gnulib
>> ./configure
>> )
> 
> In general it is advised that one has to
> 
>   git clean -xdfq \
>    && ./bootstrap
> 
> again after a gnulib update.
> 
> Have a nice day,
> Berny
> 


-- 

Chris Elvidge

5 Ebor Park, Appleton Roebuck, York.  YO23 7DZ.
Tel (Mob): +447443472958 mailto:celvidge@HIDDEN

Calle Padre Raimundo Codesal 1, Vélez-Málaga, 29700, España






Information forwarded to bug-coreutils@HIDDEN:
bug#44763; Package coreutils. Full text available.

Message received at 44763 <at> debbugs.gnu.org:


Received: (at 44763) by debbugs.gnu.org; 21 Nov 2020 13:17:45 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Nov 21 08:17:45 2020
Received: from localhost ([127.0.0.1]:45096 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kgSlq-0000ZY-0e
	for submit <at> debbugs.gnu.org; Sat, 21 Nov 2020 08:17:45 -0500
Received: from mout.kundenserver.de ([212.227.126.135]:58709)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1kgSll-0000ZI-Iq
 for 44763 <at> debbugs.gnu.org; Sat, 21 Nov 2020 08:17:41 -0500
Received: from [192.168.101.10] ([93.218.103.118]) by mrelayeu.kundenserver.de
 (mreue011 [212.227.15.167]) with ESMTPSA (Nemesis) id
 1MwfrG-1kJ0hU0AqQ-00yBf0; Sat, 21 Nov 2020 14:17:30 +0100
Subject: Re: bug#44763: Error when 'make'ing latest version of coreutils
To: Chris Elvidge <celvidge001@HIDDEN>, =?UTF-8?Q?P=c3=a1draig_Brady?=
 <P@HIDDEN>, 44763 <at> debbugs.gnu.org,
 Akim Demaille <akim.demaille@HIDDEN>
References: <dc06b729-a6ac-5a43-cc91-e2d1a95d7f18@HIDDEN>
 <50d4f4d9-919a-3c19-7ff0-1e867c676765@HIDDEN>
 <ad4e9104-1f00-364c-e8db-69a23bc02a4c@HIDDEN>
 <d012a0c5-c073-bade-6c33-b5aca154c975@HIDDEN>
 <1eba60e7-2894-e3f1-eb08-b0a48205908c@HIDDEN>
From: Bernhard Voelker <mail@HIDDEN>
Message-ID: <13c334b7-83bc-9a1b-b6ac-c35f7e0e63fd@HIDDEN>
Date: Sat, 21 Nov 2020 14:17:29 +0100
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:78.0) Gecko/20100101
 Thunderbird/78.4.3
MIME-Version: 1.0
In-Reply-To: <1eba60e7-2894-e3f1-eb08-b0a48205908c@HIDDEN>
Content-Type: text/plain; charset=utf-8
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K1:IeImPpY9D6KEmBTHG7xWsSgGOGPDUNXVL0SN69WlblL1Us32rQ9
 cCAukNRDCkFYJgOoZd61FAiWCbbQnmZ8gyjLxCLZr3OVdaGKadofer+L9DLA79Dkjlo6Zmc
 Eppw9AiyBXe4F8vmAsXC1yybOuOFTrBnwMRuTKFxpJkKdVsX5YdabUHoXePoqvsayqkzRbX
 SA6cYbtHF6CHtboQ7GzUA==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:IrRdb1tLZ2Y=:IBi4eHaAdUcT7ButLwGUma
 f4Js6+zcl2fBLzVGnL1hQekDGSsdrhXPUPAOv+uL9geybt65JUXZl1SF1PiUcWzuxnarERDI7
 nc7GMSeYjzlYL60kz9eFKD5mUdREjE7aZQt4WhyTpGCuYmBawMXOZ+c2fHRAS8wOrFVgVjUbn
 WTWOsWSXj8ok1+pDg4nAE3RU+I5dczmyyVEUVaI/xa2/2XQBTiVRSZSsz9k920sYDH0HL1x4k
 PROZ7UhWVwLjeufFcq+s5Yakq7gJr/iM1D4WL5kC77lRQfuaPFI6rSQvs6sRR0bp70aBjaoYa
 7BNg8tkN1xZTMdakAPJ7O/YnwZ3sP5h0ZrVAM6/gvWXQqqA7rJOaV33XfkZ8FZP0wwQRI8Eyk
 tIaCF8EmACpKmGlRwZofwrGYLMJh8LMlf4aUX5KdwTpqN6eiiFgzVfeDdWCelNpUQ4zApuUcr
 ydxt3sBLlg==
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 44763
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On 11/20/20 5:38 PM, Chris Elvidge wrote:
> Reran the whole thing from git clone etc.
> (
> git clone git://git.sv.gnu.org/coreutils
> cd coreutils
> ./bootstrap
> git submodule foreach git pull origin master
> git config --global user.email "celvidge001@HIDDEN"
> git config --global user.name "Chris Elvidge"
> git commit -m 'build: update gnulib submodule to latest' gnulib
> ./configure
> )

In general it is advised that one has to

 git clean -xdfq \
  && ./bootstrap

again after a gnulib update.

Have a nice day,
Berny




Information forwarded to bug-coreutils@HIDDEN:
bug#44763; Package coreutils. Full text available.

Message received at 44763 <at> debbugs.gnu.org:


Received: (at 44763) by debbugs.gnu.org; 21 Nov 2020 13:17:11 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Nov 21 08:17:11 2020
Received: from localhost ([127.0.0.1]:45093 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kgSlK-0000Yq-OU
	for submit <at> debbugs.gnu.org; Sat, 21 Nov 2020 08:17:10 -0500
Received: from mail-wm1-f50.google.com ([209.85.128.50]:53518)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pixelbeat@HIDDEN>) id 1kgSlK-0000Yd-17
 for 44763 <at> debbugs.gnu.org; Sat, 21 Nov 2020 08:17:10 -0500
Received: by mail-wm1-f50.google.com with SMTP id p22so13586695wmg.3
 for <44763 <at> debbugs.gnu.org>; Sat, 21 Nov 2020 05:17:10 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=sender:subject:to:cc:references:from:message-id:date:user-agent
 :mime-version:in-reply-to:content-language:content-transfer-encoding;
 bh=UkhFJBFqs6ylVgyBH0Ci8qtWdNDZyzdahPtgwfSMf4Y=;
 b=Ae7s2Tv2UXaQL+GkNPE8QPkqI2lp1tIqEkSutFt6UXmg8AAWyDxGbF9b0xRT4kicu8
 72+dWfMR9npQzOxq192sduG7iEo+Cr3mNkCeBEXAD3kE5dhGHOM8riNnYVxNeLGBF/Ym
 chDw2OrzXIxzTwqAUTv4DN6osRyvDpLzUNWgNeZx+5p191s7nqs2o3+voA9dToXi6O97
 MdSlymWehzrS9PbU2Tw34rUTtYYKOUArmX7DK4GGNVidXRfBToHa7TJdSLMmZ40n1h/0
 I7YvW9tJEpVGOL6BKqOluHwLk0d7xvmD7nMyckd0Z8kuldFTvWZHyO+r2mNvJfz3ugQ3
 2VWA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:sender:subject:to:cc:references:from:message-id
 :date:user-agent:mime-version:in-reply-to:content-language
 :content-transfer-encoding;
 bh=UkhFJBFqs6ylVgyBH0Ci8qtWdNDZyzdahPtgwfSMf4Y=;
 b=NpDXRGUZWUOWYB/tPpsB+JlQrdnVdX4Im2W0N2p8VZsdF7WHlRT/692EoV38ywDAK5
 8YsO87mZoqr9pnfukAoRpcTMj8vWr1A7s6sJghaoAPccwzCpyaAlgGgleP99BFIorIMg
 RaSnWU4ttxFIMXTI5o6xnMrAmGXtpOIHlQmPPXdTNkbEd3U73sGwHle7KST4+cXYVXAO
 FHgKqyTJ4Qdir0QgyXPK1l5/VqXvnRsqeQDHN2EGZOtJhQNVgJQnW10AJNaZkAmY4Fg3
 6k1p1dELkXnoqnFk27UEDGY88XZlxi1jJOWGl/wyjafwkglpnjQcRH+0vnFlKF8/fn+T
 z76A==
X-Gm-Message-State: AOAM5331h831v1VA8w4efJSbaXavLGnBpi6/ldqRHLcH299UxkT4/ten
 EFLJRAK+lbA75ckIC0Xj6JA1G+rSMwBR3Q==
X-Google-Smtp-Source: ABdhPJyN+6f9bFLc+Zee/BavHBtMl8hIK4IYVYlqIlZV6U+cNxhr8zbbTeiHJel/rGlJnhOfqlBp/Q==
X-Received: by 2002:a1c:4b10:: with SMTP id y16mr14530468wma.10.1605964623837; 
 Sat, 21 Nov 2020 05:17:03 -0800 (PST)
Received: from localhost.localdomain
 (86-42-14-227-dynamic.agg2.lod.rsl-rtd.eircom.net. [86.42.14.227])
 by smtp.googlemail.com with UTF8SMTPSA id
 p4sm8179737wmc.46.2020.11.21.05.17.02
 (version=TLS1_3 cipher=TLS_AES_128_GCM_SHA256 bits=128/128);
 Sat, 21 Nov 2020 05:17:03 -0800 (PST)
Subject: Re: bug#44763: Error when 'make'ing latest version of coreutils
To: Akim Demaille <akim.demaille@HIDDEN>
References: <dc06b729-a6ac-5a43-cc91-e2d1a95d7f18@HIDDEN>
 <50d4f4d9-919a-3c19-7ff0-1e867c676765@HIDDEN>
 <BCEF74A6-39D1-4771-ADCC-D03332A143BC@HIDDEN>
 <287BE002-1D8E-41F5-A253-458947CA0165@HIDDEN>
From: =?UTF-8?Q?P=c3=a1draig_Brady?= <P@HIDDEN>
Message-ID: <2ea2dc3a-807c-f06f-bf6f-59dfe1a8a300@HIDDEN>
Date: Sat, 21 Nov 2020 13:17:02 +0000
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:83.0) Gecko/20100101
 Thunderbird/83.0
MIME-Version: 1.0
In-Reply-To: <287BE002-1D8E-41F5-A253-458947CA0165@HIDDEN>
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 44763
Cc: Chris Elvidge <celvidge001@HIDDEN>, 44763 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

On 21/11/2020 07:01, Akim Demaille wrote:
> Hi guys,
> 
>> Le 21 nov. 2020 à 07:35, Akim Demaille <akim.demaille@HIDDEN> a écrit :
>>
>> Hi Pádraig,
>>
>> Just in case:
>>
>> $ for i in /usr/local/stow/bison-3.*
> 
> I had forgotten that there is a 2.3 sitting on my system, and indeed:
> 
> $ /usr/bin/bison gnulib/lib/parse-datetime.y
> gnulib/lib/parse-datetime.y:555.9-16: syntax error, unexpected identifier, expecting string
> 
> It chokes on `%define api.pure`.
> 
> According to NEWS, this syntax was introduced in 2.4 (2008-11-02).
> 
> I have tried to install 2.7 on my system, but I can't (because of
> portability issues of vasnprintf that were not covered by gnulib at
> that time).  I cannot even install 3.0.

Thanks a lot for checking.
The info in https://bugs.gnu.org/44739 must be incorrect,
and we've two counter checks to it now.

cheers,
Pádraig




Information forwarded to bug-coreutils@HIDDEN:
bug#44763; Package coreutils. Full text available.

Message received at 44763 <at> debbugs.gnu.org:


Received: (at 44763) by debbugs.gnu.org; 21 Nov 2020 07:01:36 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Nov 21 02:01:36 2020
Received: from localhost ([127.0.0.1]:44757 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kgMtr-00044Y-VU
	for submit <at> debbugs.gnu.org; Sat, 21 Nov 2020 02:01:36 -0500
Received: from mail-wr1-f41.google.com ([209.85.221.41]:37003)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <akim.demaille@HIDDEN>) id 1kgMtq-00044M-Sx
 for 44763 <at> debbugs.gnu.org; Sat, 21 Nov 2020 02:01:35 -0500
Received: by mail-wr1-f41.google.com with SMTP id b6so13146107wrt.4
 for <44763 <at> debbugs.gnu.org>; Fri, 20 Nov 2020 23:01:34 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:subject:from:in-reply-to:date:cc
 :content-transfer-encoding:message-id:references:to;
 bh=kCaYlwpSAdB/tJlQ0tvQrGoYoASdU2+90RxoQUZiH4o=;
 b=eeTLsh60uHs6GY20eL3A4/T4zyVl/WEbu+SAqzYy8hz6C0weKDzSh2Njq0zEdveDiV
 3yNh4CTAJISELhTFzn8l9smE+qE4+8t4WZFfjPfoC79gbJjghiwp/4NMxZTSiQSovkhP
 7XJrDf24rTdq4zlyVY/FINNbRGzZwA/eJPXQfAm/dfhRqqg9SJavjd8FFs/5XTFEVd/Q
 WcSi+0VvcCVaarXuGDBuu8xxD5drx1EWr5FjMiCuUoLQ/0jQHRfj+441e+pAnfyWHSbC
 TslX3MkzH5aT3BJtAuM8MTUQlz79KCNj1nRf75rqxMyv+SqlVWbqfvK523y0PUNgIyC6
 NNeA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:subject:from:in-reply-to:date:cc
 :content-transfer-encoding:message-id:references:to;
 bh=kCaYlwpSAdB/tJlQ0tvQrGoYoASdU2+90RxoQUZiH4o=;
 b=YnQUuJHnmjqu0sFJGH+jTel8qkDxwSGvEu58+/LeWRs2vD83ZY2ihkUe1L+6lYB2ov
 EoUtz+qdtza48E1iyY/nAOQ89kb8JRpLi8oTq+dfzOA/3iMA9T1Y18nq8itm7j7PbjtV
 N4GJE0rGh32zyH9Tn8zANzVJmh/HT1ik3OuNY3c+wS4G0qiXyXPJjH/lHz/gGzdc6DEj
 +1itF05ZILqDP/9p1+6uObz7GbWEeDrqjcMDhfiWeCStN82sltPwtjspBgEvR+6zgoaa
 D7PHF977zvvx6hF7Fg9dc1AuG0blwKAlCSFq2iYgyVKfIAziXefICEVAQIPb99tFyriU
 xorA==
X-Gm-Message-State: AOAM531o4VHYxV5Ed8NzVdA5wQ5SPdtrIUTQee4Bmj+trivivo/7FnSn
 TWAN0DP8GWGhtuJpG3IUem8=
X-Google-Smtp-Source: ABdhPJwXdNWqgLG/55/kVpLtl/qtCpnEFZyD4TGoCEcUT0yHSoPMpey5pZNis3VtXt5w9NEydLdYDA==
X-Received: by 2002:adf:e74d:: with SMTP id c13mr20969510wrn.277.1605942089015; 
 Fri, 20 Nov 2020 23:01:29 -0800 (PST)
Received: from ?IPv6:2a01:e35:2fd9:96a0:45b0:8888:dfe2:664a?
 ([2a01:e35:2fd9:96a0:45b0:8888:dfe2:664a])
 by smtp.gmail.com with ESMTPSA id g131sm6893357wma.35.2020.11.20.23.01.28
 (version=TLS1_2 cipher=ECDHE-ECDSA-AES128-GCM-SHA256 bits=128/128);
 Fri, 20 Nov 2020 23:01:28 -0800 (PST)
Content-Type: text/plain;
	charset=utf-8
Mime-Version: 1.0 (Mac OS X Mail 12.4 \(3445.104.17\))
Subject: Re: bug#44763: Error when 'make'ing latest version of coreutils
From: Akim Demaille <akim.demaille@HIDDEN>
In-Reply-To: <BCEF74A6-39D1-4771-ADCC-D03332A143BC@HIDDEN>
Date: Sat, 21 Nov 2020 08:01:27 +0100
Content-Transfer-Encoding: quoted-printable
Message-Id: <287BE002-1D8E-41F5-A253-458947CA0165@HIDDEN>
References: <dc06b729-a6ac-5a43-cc91-e2d1a95d7f18@HIDDEN>
 <50d4f4d9-919a-3c19-7ff0-1e867c676765@HIDDEN>
 <BCEF74A6-39D1-4771-ADCC-D03332A143BC@HIDDEN>
To: =?utf-8?Q?P=C3=A1draig_Brady?= <P@HIDDEN>
X-Mailer: Apple Mail (2.3445.104.17)
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 44763
Cc: Chris Elvidge <celvidge001@HIDDEN>, 44763 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hi guys,

> Le 21 nov. 2020 =C3=A0 07:35, Akim Demaille <akim.demaille@HIDDEN> =
a =C3=A9crit :
>=20
> Hi P=C3=A1draig,
>=20
> Just in case:
>=20
> $ for i in /usr/local/stow/bison-3.*

I had forgotten that there is a 2.3 sitting on my system, and indeed:

$ /usr/bin/bison gnulib/lib/parse-datetime.y
gnulib/lib/parse-datetime.y:555.9-16: syntax error, unexpected =
identifier, expecting string

It chokes on `%define api.pure`.

According to NEWS, this syntax was introduced in 2.4 (2008-11-02).

I have tried to install 2.7 on my system, but I can't (because of
portability issues of vasnprintf that were not covered by gnulib at
that time).  I cannot even install 3.0.

Cheers!=




Information forwarded to bug-coreutils@HIDDEN:
bug#44763; Package coreutils. Full text available.

Message received at 44763 <at> debbugs.gnu.org:


Received: (at 44763) by debbugs.gnu.org; 21 Nov 2020 06:35:59 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Nov 21 01:35:59 2020
Received: from localhost ([127.0.0.1]:44753 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kgMV4-0003TZ-Rc
	for submit <at> debbugs.gnu.org; Sat, 21 Nov 2020 01:35:59 -0500
Received: from mail-wr1-f53.google.com ([209.85.221.53]:41724)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <akim.demaille@HIDDEN>) id 1kgMV2-0003TL-GI
 for 44763 <at> debbugs.gnu.org; Sat, 21 Nov 2020 01:35:56 -0500
Received: by mail-wr1-f53.google.com with SMTP id 23so13058895wrc.8
 for <44763 <at> debbugs.gnu.org>; Fri, 20 Nov 2020 22:35:56 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:subject:from:in-reply-to:date:cc
 :content-transfer-encoding:message-id:references:to;
 bh=kOstxtDvXI2v8wRE2BmBPmyEkS+/WKJDRCRx25nLEbM=;
 b=kxdNprWgQZGL/TwFKSU40zGt4NFTPVVLoFECJiZUTUIOYnF21coFd0BR4xPG6j4KJH
 Nd7ipMCgJYaV6vVoz3/7JQjAZSVjfhUDtIlzUoo1LvU30Zjrq5p49VtpjyawlXjwgReC
 6tuSBmqERgzlQikFRIF+mKyYFztQ/Si1ACuwLHf2xao7ro9U2qOEen8/8ttUWvDx7Qpp
 gqvvBGUoGeRn/cIdnSoiRlfQXXscbCgey4XS1Qgxd20X0uQRWlL4aEL8xxVAPcO0J/kF
 9zU4kVG9sQBi5IGlp0blEXo/FX4bfWmSvK95m8n04dfTeV8+EYxmDv1LVfXC2ZpQEdIS
 1nfw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:subject:from:in-reply-to:date:cc
 :content-transfer-encoding:message-id:references:to;
 bh=kOstxtDvXI2v8wRE2BmBPmyEkS+/WKJDRCRx25nLEbM=;
 b=toHoX3utn3XgUiu0Qm7E9hPJRNixA10Ac5sqZ9ePB1P5kCsqK71F4DVaJLbeMelCPg
 sid33Wf9F7YLJtRHZyKUdYEbLAWYjCCbsxAW37mzfzTmoFKciUYmclcMX6Orx2ZlK4fo
 /RoZWaQhTT5N5tkSULV8BkFNtYlQ+V5Hwhvu6Q30sid3STqmKIfPB8OsXBzc0KF5h3QQ
 otkUIFEUKhlfCUN6dwYKZupP9J+Bxkk7nSUo01SPEoQ4r4cUjEvrRdx7+Mh3M+r+RHga
 kSjTmTCt/j7l5OtgR5YkYRrfSgALPMGaWv23aNgUxgb+r9Jv2pmQr5nHuNzFOw0Z+i9i
 Kk5Q==
X-Gm-Message-State: AOAM532b+ufVPwY8mYK95hbiHrFQnh+WHgvW4fu1UYfQaJTjBvPdvpqa
 W6kOGV4OzI3gEe3oQNoMjRo=
X-Google-Smtp-Source: ABdhPJweU/Hf77oJhLLl1I6v+h93rQta68drzXfJ54fgO1qfx7+AbaT7X6Hz4YvfQRilqhqpnPflYQ==
X-Received: by 2002:adf:8b5d:: with SMTP id v29mr20515553wra.338.1605940550499; 
 Fri, 20 Nov 2020 22:35:50 -0800 (PST)
Received: from ?IPv6:2a01:e35:2fd9:96a0:45b0:8888:dfe2:664a?
 ([2a01:e35:2fd9:96a0:45b0:8888:dfe2:664a])
 by smtp.gmail.com with ESMTPSA id 30sm7130452wrd.88.2020.11.20.22.35.49
 (version=TLS1_2 cipher=ECDHE-ECDSA-AES128-GCM-SHA256 bits=128/128);
 Fri, 20 Nov 2020 22:35:49 -0800 (PST)
Content-Type: text/plain;
	charset=utf-8
Mime-Version: 1.0 (Mac OS X Mail 12.4 \(3445.104.17\))
Subject: Re: bug#44763: Error when 'make'ing latest version of coreutils
From: Akim Demaille <akim.demaille@HIDDEN>
In-Reply-To: <50d4f4d9-919a-3c19-7ff0-1e867c676765@HIDDEN>
Date: Sat, 21 Nov 2020 07:35:48 +0100
Content-Transfer-Encoding: quoted-printable
Message-Id: <BCEF74A6-39D1-4771-ADCC-D03332A143BC@HIDDEN>
References: <dc06b729-a6ac-5a43-cc91-e2d1a95d7f18@HIDDEN>
 <50d4f4d9-919a-3c19-7ff0-1e867c676765@HIDDEN>
To: =?utf-8?Q?P=C3=A1draig_Brady?= <P@HIDDEN>
X-Mailer: Apple Mail (2.3445.104.17)
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 44763
Cc: Chris Elvidge <celvidge001@HIDDEN>, 44763 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hi P=C3=A1draig,

> Le 20 nov. 2020 =C3=A0 15:47, P=C3=A1draig Brady <P@HIDDEN> a =
=C3=A9crit :
>=20
> On 20/11/2020 14:19, Chris Elvidge wrote:
>> I keep getting
>> ./lib/stdlib.h:695:5: error: token "@" is not valid in preprocessor
>> expressions
>>   #if @GNULIB_ALIGNED_ALLOC@
>>       ^
>> ./lib/stdlib.h:1059:5: error: token "@" is not valid in preprocessor
>> expressions
>>   #if @GNULIB_POSIX_MEMALIGN@
>=20
> Please update bison to >=3D 3.5.
> I don't know what the exact new requirement is,
> but will update bootstrap.conf to check that very soon.
>=20
> Akim do you know the min bison version
> now required by the latest gnulib?
> That would spare me some bisecting.

I wasn't aware of any strong dependency such as this one (and I actually
still have not understood what the problem is, and how problems with
AC_SUBST are related to Bison here).

The only I see in gnulib which is a *.y is lib/parse-datetime.y.
And I don't see anything special in it that would require any special
version of Bison.

Just in case:

$ for i in /usr/local/stow/bison-3.*
do
echo "$i..." =20
$i/bin/bison lib/parse-datetime.y
done
/usr/local/stow/bison-3.0.5...
/usr/local/stow/bison-3.1...
/usr/local/stow/bison-3.2.4...
/usr/local/stow/bison-3.3.2...
/usr/local/stow/bison-3.4.2...
/usr/local/stow/bison-3.5.4...
/usr/local/stow/bison-3.6.4...
/usr/local/stow/bison-3.7...
/usr/local/stow/bison-3.7.1...
/usr/local/stow/bison-3.7.2...
/usr/local/stow/bison-3.7.3...

I think I have not understood the question, sorry :(  What exactly
happens here?  Is configure properly rerun each time, without cache?
Why are we talking about Bison?=




Information forwarded to bug-coreutils@HIDDEN:
bug#44763; Package coreutils. Full text available.

Message received at 44763 <at> debbugs.gnu.org:


Received: (at 44763) by debbugs.gnu.org; 20 Nov 2020 16:39:19 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Nov 20 11:39:19 2020
Received: from localhost ([127.0.0.1]:44232 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kg9RP-0006SN-H4
	for submit <at> debbugs.gnu.org; Fri, 20 Nov 2020 11:39:19 -0500
Received: from mail-wr1-f51.google.com ([209.85.221.51]:32818)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <celvidge001@HIDDEN>) id 1kg9RL-0006S7-AG
 for 44763 <at> debbugs.gnu.org; Fri, 20 Nov 2020 11:39:17 -0500
Received: by mail-wr1-f51.google.com with SMTP id u12so10726787wrt.0
 for <44763 <at> debbugs.gnu.org>; Fri, 20 Nov 2020 08:39:15 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=subject:to:references:from:message-id:date:user-agent:mime-version
 :in-reply-to:content-language:content-transfer-encoding;
 bh=qYW0oasRoVxRqeNDEZRoQaHgMnzO1gSpfv6t2AlD8/Q=;
 b=R8/03vQNyvPEQ5nJsMMAj8d9ygj7v4f2b4H7OIyn9PjQojYx1U4vuYppZHGDG+fXvF
 rLLFGNYY6WqMFfbW8yqFyBFjBAa76iA35IPvC0wNZMoxNqRG8UDwBluk+QrG2iHMhHsZ
 kAZrX73SoIN3HSnwpSCmV8sVrMQHxLog/pbN2hyLUEERTUsgCTEO+pKEAnvhpRyl8ryc
 4I2ilIpflaW3d+48CMsg4Ys587LpeudreRvImAv4tot9FLIWqH7RvvrMK5XpG0gUo38R
 7IXA8CDqBmNPhcfevJMpTdHphnPY4O3MCkp5fpjuxb2xKWU/DtOFEvnx3PKBR14+CTpN
 FwvQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:subject:to:references:from:message-id:date
 :user-agent:mime-version:in-reply-to:content-language
 :content-transfer-encoding;
 bh=qYW0oasRoVxRqeNDEZRoQaHgMnzO1gSpfv6t2AlD8/Q=;
 b=aJnQDMBSF8clCaloh9XxmjMYIslI9pIQkd2lF+tqYftacbsBXPpJWCOyyPWQE8vbjs
 9lMsrr3hRP2G09g9DsERFz5tNJ1niSk8DNhtA22XkP/7uDGTVFiD4R3Kc6muijEP7mJN
 1ds4/tu9ecionsrAoDmisHIQSOKbXVVUUXY//+nCyzIgM6KJDp4Invz6EgngnVIDT7Uy
 hjoguHkdjF9ht14yDpsPu4EfFiODwcwys/Vp8d5KbQlTQEO78h9xwLG+O0VJC9ws0kDR
 7CD2lU7NKiyF83JRfiLMJPYi5bXkEnPUc7FwJck8fCUoQRrNbT3rdi/VDwnTNs9/gMs5
 xC6Q==
X-Gm-Message-State: AOAM530t5+BR/E9noWHn3Ccu6F5rx+jHobvC80G7C1b1tLZ9opOZzK0n
 9LyZTIDy45N7STM+hBO1VIk=
X-Google-Smtp-Source: ABdhPJwNlQ+GKaqlh8IaTgjiCaj121OBnxkFikyADZ/SUxS656JSkBwOuGe3il1tbBYw3VBsmy+Kzg==
X-Received: by 2002:adf:e912:: with SMTP id f18mr16832607wrm.79.1605890349495; 
 Fri, 20 Nov 2020 08:39:09 -0800 (PST)
Received: from [192.168.23.100] (92.40.180.1.threembb.co.uk. [92.40.180.1])
 by smtp.gmail.com with ESMTPSA id w10sm5780508wra.34.2020.11.20.08.39.07
 (version=TLS1_2 cipher=ECDHE-ECDSA-AES128-GCM-SHA256 bits=128/128);
 Fri, 20 Nov 2020 08:39:08 -0800 (PST)
Subject: Re: bug#44763: Error when 'make'ing latest version of coreutils
To: =?UTF-8?Q?P=c3=a1draig_Brady?= <P@HIDDEN>, 44763 <at> debbugs.gnu.org, 
 Akim Demaille <akim.demaille@HIDDEN>
References: <dc06b729-a6ac-5a43-cc91-e2d1a95d7f18@HIDDEN>
 <50d4f4d9-919a-3c19-7ff0-1e867c676765@HIDDEN>
 <ad4e9104-1f00-364c-e8db-69a23bc02a4c@HIDDEN>
 <d012a0c5-c073-bade-6c33-b5aca154c975@HIDDEN>
From: Chris Elvidge <celvidge001@HIDDEN>
Message-ID: <1eba60e7-2894-e3f1-eb08-b0a48205908c@HIDDEN>
Date: Fri, 20 Nov 2020 16:38:53 +0000
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:52.0) Gecko/20100101
 Thunderbird/52.2.1 Lightning/5.4
MIME-Version: 1.0
In-Reply-To: <d012a0c5-c073-bade-6c33-b5aca154c975@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-GB
Content-Transfer-Encoding: 8bit
X-Spam-Score: 3.8 (+++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  Bison was 3.0.4. (configure checks for >2.4) Now 3.7 Reran
 the whole thing from git clone etc. ( git clone git://git.sv.gnu.org/coreutils
 cd coreutils ./bootstrap git submodule foreach git pull origin master git
 config --global user.email "celvidge001@g [...] 
 Content analysis details:   (3.8 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (celvidge001[at]gmail.com)
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
 no trust [209.85.221.51 listed in list.dnswl.org]
 3.6 RCVD_IN_SBL_CSS        RBL: Received via a relay in Spamhaus SBL-CSS
 [92.40.180.1 listed in zen.spamhaus.org]
 0.2 FREEMAIL_ENVFROM_END_DIGIT Envelope-from freemail username ends
 in digit (celvidge001[at]gmail.com)
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
 [209.85.221.51 listed in wl.mailspike.net]
 -0.0 NICE_REPLY_A           Looks like a legit reply (A)
X-Debbugs-Envelope-To: 44763
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 2.8 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  Bison was 3.0.4. (configure checks for >2.4) Now 3.7 Reran
    the whole thing from git clone etc. ( git clone git://git.sv.gnu.org/coreutils
    cd coreutils ./bootstrap git submodule foreach git pull origin master git
    config --global user.email "celvidge001@g [...] 
 
 Content analysis details:   (2.8 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
                             [209.85.221.51 listed in wl.mailspike.net]
  3.6 RCVD_IN_SBL_CSS        RBL: Received via a relay in Spamhaus SBL-CSS
                             [92.40.180.1 listed in zen.spamhaus.org]
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
                              no trust
                             [209.85.221.51 listed in list.dnswl.org]
  0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
                             provider (celvidge001[at]gmail.com)
  0.2 FREEMAIL_ENVFROM_END_DIGIT Envelope-from freemail username ends
                             in digit (celvidge001[at]gmail.com)
 -0.0 SPF_PASS               SPF: sender matches SPF record
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager
 -0.0 NICE_REPLY_A           Looks like a legit reply (A)

Bison was 3.0.4. (configure checks for >2.4)
Now 3.7

Reran the whole thing from git clone etc.
(
git clone git://git.sv.gnu.org/coreutils
cd coreutils
./bootstrap
git submodule foreach git pull origin master
git config --global user.email "celvidge001@HIDDEN"
git config --global user.name "Chris Elvidge"
git commit -m 'build: update gnulib submodule to latest' gnulib
./configure
)

'make' still fails with the same error message(s)

Cheers

On 20/11/2020 03:48 pm, Pádraig Brady wrote:
> On 20/11/2020 15:42, Chris Elvidge wrote:
>> Updated to bison 3.7; installed in /usr/local/bin
>> Unfortunately, still the same error
>> Logged off/on, disabled /usr/bin/bison and yacc, rebooted.
>> No go.
>> Thanks.
> 
> Did you rerun bootstrap?
> What version was /usr/bin/bison ?
> See also https://bugs.gnu.org/44739
> 
> thanks,
> Pádraig
> 


-- 

Chris Elvidge








Information forwarded to bug-coreutils@HIDDEN:
bug#44763; Package coreutils. Full text available.

Message received at 44763 <at> debbugs.gnu.org:


Received: (at 44763) by debbugs.gnu.org; 20 Nov 2020 15:48:26 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Nov 20 10:48:26 2020
Received: from localhost ([127.0.0.1]:44134 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kg8e9-00032o-Rv
	for submit <at> debbugs.gnu.org; Fri, 20 Nov 2020 10:48:26 -0500
Received: from mail-wr1-f42.google.com ([209.85.221.42]:34927)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pixelbeat@HIDDEN>) id 1kg8e6-00032L-2a
 for 44763 <at> debbugs.gnu.org; Fri, 20 Nov 2020 10:48:22 -0500
Received: by mail-wr1-f42.google.com with SMTP id k2so10544244wrx.2
 for <44763 <at> debbugs.gnu.org>; Fri, 20 Nov 2020 07:48:21 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=sender:subject:to:references:from:message-id:date:user-agent
 :mime-version:in-reply-to:content-language:content-transfer-encoding;
 bh=ElFlokPB/Ay39RcLy0YVVXGl1Z20hW9YpSzLFepGvpg=;
 b=t54Rn7dAPlxTsc6PPwHg9GhihZy5nQzv54vgGU+3bm7Irh/OMDTf8dQOlZJQF+/pP5
 isnqCuewMi4K8z3rjAZxv/QbNajTjbUe4wVkR+3BAvQcL1Ke1syp1L7Pae/Cs72rE+tb
 vOACShipgo4JeWaCfaxrQSV2+hTPyQU5naoLSmxfd4pbMT4j7YXtu7f/HvH9alPAKXXQ
 rEnW+SxnR7Uqysj3njokoLPzuxMAkQQ7XM8+EdANkzcQDwZlC5wLYCVkarPkAJLCkF0w
 anp7c9M0xX+EV6O4EVndsOuchrdZHydUIWGtEbIzY7lDiCkNztyEx8QyEjrBPAkE1XYx
 cg5A==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:sender:subject:to:references:from:message-id
 :date:user-agent:mime-version:in-reply-to:content-language
 :content-transfer-encoding;
 bh=ElFlokPB/Ay39RcLy0YVVXGl1Z20hW9YpSzLFepGvpg=;
 b=BpWi0mLgkvNgioRG1cjmCUmAWU20zwhWg8olwBoihSfiTYav24+brWp7vQgR2j4mcI
 N8hWwIeum38pLV9CzcWpq8cu+pdD/tp9LagFrKhf1tXRxzYPVtE9ejRcyujDZoWATQdf
 jtKk5Im3BUqaHc1wLWPYMPXbpIMtc+/fpUzHVnnHJf2KcIBFtGdM8EpF+9MahSxR/5mE
 yN54d8TMuJR2nQfg1th0KqfxdKNzvV3nh/lvWNGin9MvETlS3Wd4nYHVgMtunb4DILBU
 tv4F75GZahm8oos2rAxKc+g1rFiLlG4QxjYbMUSMFG49bnQjNoAdj5eW56KV2d17hjui
 AEtw==
X-Gm-Message-State: AOAM531UcDiwdP8uw87INdTZtPyO3IcLlZa0uUk6TqMvgEpw9RbkCy9D
 TcEVa8OwFWEZ79VoIKlCV8k=
X-Google-Smtp-Source: ABdhPJyIJRZj/3v4dqcohZOY35pxo2pppjt8WEGitU5qJNTTo+ivzNttIvdXhx1QmbBKYd68b5bgqQ==
X-Received: by 2002:adf:fdc5:: with SMTP id i5mr16467133wrs.26.1605887296172; 
 Fri, 20 Nov 2020 07:48:16 -0800 (PST)
Received: from localhost.localdomain
 (86-42-14-227-dynamic.agg2.lod.rsl-rtd.eircom.net. [86.42.14.227])
 by smtp.googlemail.com with UTF8SMTPSA id
 35sm5749595wro.71.2020.11.20.07.48.14
 (version=TLS1_3 cipher=TLS_AES_128_GCM_SHA256 bits=128/128);
 Fri, 20 Nov 2020 07:48:15 -0800 (PST)
Subject: Re: bug#44763: Error when 'make'ing latest version of coreutils
To: Chris Elvidge <celvidge001@HIDDEN>, 44763 <at> debbugs.gnu.org,
 Akim Demaille <akim.demaille@HIDDEN>
References: <dc06b729-a6ac-5a43-cc91-e2d1a95d7f18@HIDDEN>
 <50d4f4d9-919a-3c19-7ff0-1e867c676765@HIDDEN>
 <ad4e9104-1f00-364c-e8db-69a23bc02a4c@HIDDEN>
From: =?UTF-8?Q?P=c3=a1draig_Brady?= <P@HIDDEN>
Message-ID: <d012a0c5-c073-bade-6c33-b5aca154c975@HIDDEN>
Date: Fri, 20 Nov 2020 15:48:14 +0000
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:83.0) Gecko/20100101
 Thunderbird/83.0
MIME-Version: 1.0
In-Reply-To: <ad4e9104-1f00-364c-e8db-69a23bc02a4c@HIDDEN>
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 44763
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

On 20/11/2020 15:42, Chris Elvidge wrote:
> Updated to bison 3.7; installed in /usr/local/bin
> Unfortunately, still the same error
> Logged off/on, disabled /usr/bin/bison and yacc, rebooted.
> No go.
> Thanks.

Did you rerun bootstrap?
What version was /usr/bin/bison ?
See also https://bugs.gnu.org/44739

thanks,
Pádraig




Information forwarded to bug-coreutils@HIDDEN:
bug#44763; Package coreutils. Full text available.

Message received at 44763 <at> debbugs.gnu.org:


Received: (at 44763) by debbugs.gnu.org; 20 Nov 2020 15:42:37 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Nov 20 10:42:37 2020
Received: from localhost ([127.0.0.1]:44112 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kg8YX-0000mc-8K
	for submit <at> debbugs.gnu.org; Fri, 20 Nov 2020 10:42:37 -0500
Received: from mail-wm1-f49.google.com ([209.85.128.49]:38016)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <celvidge001@HIDDEN>) id 1kg8YV-0000mP-Vz
 for 44763 <at> debbugs.gnu.org; Fri, 20 Nov 2020 10:42:36 -0500
Received: by mail-wm1-f49.google.com with SMTP id 1so10192384wme.3
 for <44763 <at> debbugs.gnu.org>; Fri, 20 Nov 2020 07:42:35 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=subject:to:references:from:message-id:date:user-agent:mime-version
 :in-reply-to:content-language:content-transfer-encoding;
 bh=VxGx8qEgy7+OIuqCj26rV4YGsuzbMcfCPpv9dB0iqHU=;
 b=hh/aDtG5VtkDPCbzABVgVdVL6oXfPEf1zK+KMlgTHytjXxz+WikCtsftxxGmT9TOSN
 rt4aM1a7Sb4ZRiuYEwyCaooyKwMDL9w/PkCMTbzh27bWlUk2/FmTqKXsaQ2THujqnMKQ
 8DGFW1R5IfFauToP5x1pHTkRDeVh8/wIMxquGGmJQ+LxP3p+wlpfudnvj4egb67YJzKi
 1RyufqSMkdLlmNQMC0QcSLYOjkB9Dc939SNoqzEVc0y6nWCmgZSLGlE/rSSFBGFAobyn
 REj/x9YhqLrTUySMhHv5nH/RpINyo1RXSOejryngKGQ3hlmQd8B7pAABX9nt9+7IuDnq
 tmHQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:subject:to:references:from:message-id:date
 :user-agent:mime-version:in-reply-to:content-language
 :content-transfer-encoding;
 bh=VxGx8qEgy7+OIuqCj26rV4YGsuzbMcfCPpv9dB0iqHU=;
 b=JGw32so6G+tiEoKc0VJ18sWQ1KAbE0FPK74prMkMGOCiyhgtKmh9VsVnCmEfQDBCP2
 vi4Da9zd2MIwTbXg8EiLhs4bWotjxv2VQcDB2zMDiLYeXlXPXn5SsTxkmdo9MhdbL0Sq
 5vv6gbFPAPrXh2H16jbb4EKeSIMzAfnuCm7hsF24qbQNgf7x9d7O15b8DoPoLNDQ1rZ4
 XNbuYeHlbMe8dLvQBSYRHFlWYMbZ+FsDDqgQSTSosAvZihrAtLnv+KebxkVtXd8FucpA
 6j4JHZtmuBXAOj0u9pZ4abcRZLK3LPCEj8Aq9xPKA44ehF/35nIvH0PE8TinenzE4lvz
 0Njw==
X-Gm-Message-State: AOAM532TXOaJGphhk+ESTpBeebqoEO+cBXEurguNhXHx5gbaI1JNL4Jo
 ZG0l0McxKFn8vJfv9wQcrrMrySADRjd+Jg==
X-Google-Smtp-Source: ABdhPJysywsWw9ytV52N43Xl6B7zKPGcXY8W3o+Bqvjzli9rI7d49R+fk1gtFwJWQIh07EiztqZISQ==
X-Received: by 2002:a1c:2d47:: with SMTP id t68mr10552433wmt.148.1605886950128; 
 Fri, 20 Nov 2020 07:42:30 -0800 (PST)
Received: from [192.168.23.100] (92.40.180.1.threembb.co.uk. [92.40.180.1])
 by smtp.gmail.com with ESMTPSA id w11sm4933376wmg.36.2020.11.20.07.42.28
 (version=TLS1_2 cipher=ECDHE-ECDSA-AES128-GCM-SHA256 bits=128/128);
 Fri, 20 Nov 2020 07:42:29 -0800 (PST)
Subject: Re: bug#44763: Error when 'make'ing latest version of coreutils
To: =?UTF-8?Q?P=c3=a1draig_Brady?= <P@HIDDEN>, 44763 <at> debbugs.gnu.org, 
 Akim Demaille <akim.demaille@HIDDEN>
References: <dc06b729-a6ac-5a43-cc91-e2d1a95d7f18@HIDDEN>
 <50d4f4d9-919a-3c19-7ff0-1e867c676765@HIDDEN>
From: Chris Elvidge <celvidge001@HIDDEN>
Message-ID: <ad4e9104-1f00-364c-e8db-69a23bc02a4c@HIDDEN>
Date: Fri, 20 Nov 2020 15:42:16 +0000
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:52.0) Gecko/20100101
 Thunderbird/52.2.1 Lightning/5.4
MIME-Version: 1.0
In-Reply-To: <50d4f4d9-919a-3c19-7ff0-1e867c676765@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-GB
Content-Transfer-Encoding: 8bit
X-Spam-Score: 4.8 (++++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  Updated to bison 3.7; installed in /usr/local/bin Unfortunately,
    still the same error Logged off/on, disabled /usr/bin/bison and yacc, rebooted.
    No go. Thanks. On 20/11/2020 02:47 pm, Pádraig Brady wrote: > On 20/11/2020
    14:19, Chris Elvidge wrote: >> I keep getting >> >> ./lib/stdlib.h:695:5:
    error: token "@" is not valid in preprocessor >> expressions >> [...] 
 
 Content analysis details:   (4.8 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
                             provider (celvidge001[at]gmail.com)
  3.6 RCVD_IN_SBL_CSS        RBL: Received via a relay in Spamhaus SBL-CSS
                             [92.40.180.1 listed in zen.spamhaus.org]
  0.2 FREEMAIL_ENVFROM_END_DIGIT Envelope-from freemail username ends
                             in digit (celvidge001[at]gmail.com)
 -0.0 SPF_PASS               SPF: sender matches SPF record
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
                             [209.85.128.49 listed in wl.mailspike.net]
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
                              no trust
                             [209.85.128.49 listed in list.dnswl.org]
 -0.0 NICE_REPLY_A           Looks like a legit reply (A)
  1.0 FREEMAIL_REPLY         From and body contain different freemails
X-Debbugs-Envelope-To: 44763
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 2.8 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  Updated to bison 3.7; installed in /usr/local/bin Unfortunately,
    still the same error Logged off/on, disabled /usr/bin/bison and yacc, rebooted.
    No go. Thanks. On 20/11/2020 02:47 pm, Pádraig Brady wrote: > On 20/11/2020
    14:19, Chris Elvidge wrote: >> I keep getting >> >> ./lib/stdlib.h:695:5:
    error: token "@" is not valid in preprocessor >> expressions >> [...] 
 
 Content analysis details:   (2.8 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
                             [209.85.128.49 listed in wl.mailspike.net]
  3.6 RCVD_IN_SBL_CSS        RBL: Received via a relay in Spamhaus SBL-CSS
                             [92.40.180.1 listed in zen.spamhaus.org]
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
                              no trust
                             [209.85.128.49 listed in list.dnswl.org]
  0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
                             provider (celvidge001[at]gmail.com)
  0.2 FREEMAIL_ENVFROM_END_DIGIT Envelope-from freemail username ends
                             in digit (celvidge001[at]gmail.com)
 -0.0 SPF_PASS               SPF: sender matches SPF record
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager
 -0.0 NICE_REPLY_A           Looks like a legit reply (A)

Updated to bison 3.7; installed in /usr/local/bin
Unfortunately, still the same error
Logged off/on, disabled /usr/bin/bison and yacc, rebooted.
No go.
Thanks.

On 20/11/2020 02:47 pm, Pádraig Brady wrote:
> On 20/11/2020 14:19, Chris Elvidge wrote:
>> I keep getting
>>
>> ./lib/stdlib.h:695:5: error: token "@" is not valid in preprocessor
>> expressions
>>    #if @GNULIB_ALIGNED_ALLOC@
>>        ^
>> ./lib/stdlib.h:1059:5: error: token "@" is not valid in preprocessor
>> expressions
>>    #if @GNULIB_POSIX_MEMALIGN@
> 
> Please update bison to >= 3.5.
> I don't know what the exact new requirement is,
> but will update bootstrap.conf to check that very soon.
> 
> Akim do you know the min bison version
> now required by the latest gnulib?
> That would spare me some bisecting.
> 
> thanks,
> Pádraig
> 


-- 

Chris Elvidge

5 Ebor Park, Appleton Roebuck, York.  YO23 7DZ.
Tel (Mob): +447443472958 mailto:celvidge@HIDDEN

Calle Padre Raimundo Codesal 1, Vélez-Málaga, 29700, España






Information forwarded to bug-coreutils@HIDDEN:
bug#44763; Package coreutils. Full text available.

Message received at 44763 <at> debbugs.gnu.org:


Received: (at 44763) by debbugs.gnu.org; 20 Nov 2020 14:47:46 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Nov 20 09:47:46 2020
Received: from localhost ([127.0.0.1]:42550 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kg7hS-0007Ub-G4
	for submit <at> debbugs.gnu.org; Fri, 20 Nov 2020 09:47:46 -0500
Received: from mail-wr1-f43.google.com ([209.85.221.43]:36588)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pixelbeat@HIDDEN>) id 1kg7hQ-0007UO-JE
 for 44763 <at> debbugs.gnu.org; Fri, 20 Nov 2020 09:47:45 -0500
Received: by mail-wr1-f43.google.com with SMTP id j7so10322496wrp.3
 for <44763 <at> debbugs.gnu.org>; Fri, 20 Nov 2020 06:47:44 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=sender:subject:to:references:from:message-id:date:user-agent
 :mime-version:in-reply-to:content-language:content-transfer-encoding;
 bh=G/8Apt1CwzgbxpYvBkINbRc07TO26xqg7+qFqUeVL3s=;
 b=tKOqT3YaTkDvrGvfWZqNO2U5FNKzqkfEXdb8GaXOdE9TqfwPcYOr8YV4NQbCG4ENwQ
 7KHKwuZi92YweQUYo/kY2GQqXBu/UsyvQMcU0WVWuTDlAykq1PR1T6Nd2or0Drxaz3XA
 1Nk+2evC81SSkyWKNg/oqPtub3z4XySusoRrBwkmOIDm0IocFcfXDlmvXCjWjSS6iTJ9
 orfNmTCCwRgsav/UYcxk0jOiICKKOhSFY4UkqhErjqkpvezcqw/u78blAO2eZ+Zd/WNN
 ScKPvV3LhiYOo8Y6CVGujHxH9D+TfAG4hoP2yefl+dLiSgcWg+XYW4S5g7g9opI6MXWO
 wufw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:sender:subject:to:references:from:message-id
 :date:user-agent:mime-version:in-reply-to:content-language
 :content-transfer-encoding;
 bh=G/8Apt1CwzgbxpYvBkINbRc07TO26xqg7+qFqUeVL3s=;
 b=YPcR/l4rNOSEbQM8FEBCr94WbSQlI3IMnTFbN088Yz28AdAXul1W+e4pzqQt5a35Ue
 nI0PR0BZvUiv0jZCY+aO44G1Q7mShBoOvNtfQVqLidAePgweMiXe5KY2T08RK5CGdfnn
 NKuO0lSd+hpq3pRK4cRnfhN2bTR3KGuHuVHEV8NbIsU5fD9omWTUbBJ30pmaMDHbfbuE
 34RZweNB4HJ0qU7G5box+AuaDwSfmbQExcCXlbhmv0lHq34Bjrrjxfv3KJAkmp0hljLU
 4bLb2c5tZYtDSnHmqgrmZDycCASko0Gm205uA2VPhSjtSbgZEgugoGod4av4ALETXH7w
 OWdw==
X-Gm-Message-State: AOAM532p5JMhMySnasfa1lrsFZ9YvwpiOMTesYLSdCgeF67os5CHmZU1
 DbouDJUEfSkOHC5rcXKip0k=
X-Google-Smtp-Source: ABdhPJyAJS5hnNOznJji7b9WkYmxQ9dLIB/vYyrCcEhSIqibs41yToEk5aYclY2qAfEu6IalNklGjQ==
X-Received: by 2002:adf:fcc8:: with SMTP id f8mr16466879wrs.331.1605883658643; 
 Fri, 20 Nov 2020 06:47:38 -0800 (PST)
Received: from localhost.localdomain
 (86-42-14-227-dynamic.agg2.lod.rsl-rtd.eircom.net. [86.42.14.227])
 by smtp.googlemail.com with UTF8SMTPSA id
 n4sm2423268wmc.30.2020.11.20.06.47.37
 (version=TLS1_3 cipher=TLS_AES_128_GCM_SHA256 bits=128/128);
 Fri, 20 Nov 2020 06:47:37 -0800 (PST)
Subject: Re: bug#44763: Error when 'make'ing latest version of coreutils
To: Chris Elvidge <celvidge001@HIDDEN>, 44763 <at> debbugs.gnu.org,
 Akim Demaille <akim.demaille@HIDDEN>
References: <dc06b729-a6ac-5a43-cc91-e2d1a95d7f18@HIDDEN>
From: =?UTF-8?Q?P=c3=a1draig_Brady?= <P@HIDDEN>
Message-ID: <50d4f4d9-919a-3c19-7ff0-1e867c676765@HIDDEN>
Date: Fri, 20 Nov 2020 14:47:36 +0000
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:83.0) Gecko/20100101
 Thunderbird/83.0
MIME-Version: 1.0
In-Reply-To: <dc06b729-a6ac-5a43-cc91-e2d1a95d7f18@HIDDEN>
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 44763
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

On 20/11/2020 14:19, Chris Elvidge wrote:
> I keep getting
> 
> ./lib/stdlib.h:695:5: error: token "@" is not valid in preprocessor
> expressions
>    #if @GNULIB_ALIGNED_ALLOC@
>        ^
> ./lib/stdlib.h:1059:5: error: token "@" is not valid in preprocessor
> expressions
>    #if @GNULIB_POSIX_MEMALIGN@

Please update bison to >= 3.5.
I don't know what the exact new requirement is,
but will update bootstrap.conf to check that very soon.

Akim do you know the min bison version
now required by the latest gnulib?
That would spare me some bisecting.

thanks,
Pádraig




Information forwarded to bug-coreutils@HIDDEN:
bug#44763; Package coreutils. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 20 Nov 2020 14:19:26 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Nov 20 09:19:26 2020
Received: from localhost ([127.0.0.1]:42331 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kg7G1-0006cG-RM
	for submit <at> debbugs.gnu.org; Fri, 20 Nov 2020 09:19:26 -0500
Received: from lists.gnu.org ([209.51.188.17]:43978)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <celvidge001@HIDDEN>) id 1kg7Fx-0006c6-Bu
 for submit <at> debbugs.gnu.org; Fri, 20 Nov 2020 09:19:24 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10]:50576)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <celvidge001@HIDDEN>)
 id 1kg7Fx-0003cd-5s
 for bug-coreutils@HIDDEN; Fri, 20 Nov 2020 09:19:21 -0500
Received: from mail-wm1-x331.google.com ([2a00:1450:4864:20::331]:34868)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.90_1) (envelope-from <celvidge001@HIDDEN>)
 id 1kg7Fu-0003MW-Na
 for bug-coreutils@HIDDEN; Fri, 20 Nov 2020 09:19:20 -0500
Received: by mail-wm1-x331.google.com with SMTP id w24so9956599wmi.0
 for <bug-coreutils@HIDDEN>; Fri, 20 Nov 2020 06:19:17 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=to:from:subject:message-id:date:user-agent:mime-version
 :content-language:content-transfer-encoding;
 bh=IvgTRF0ZNV6o/TjynJB5mLzWh33jnbvChypC7+TQV88=;
 b=aosSpn3Xd/RU1W9pxSF4ORcHZkthNgzdheQg2/SYnKhy1TNkyHPS3Hby98cPVjKcR9
 kQqZN6hCAr/R18krGAT8T+H8vRnWAgm52+0FChKPJevI44L7ViiJyILiizQSoF9mRkge
 ZJ1gz+oDLCBKiFGpSMzlZBgKsHpHLdxN+JZsy6tlhCoMKqTNNt1sv/ACNgRQvNBR8Srs
 xzxb86L4Fo1xYTwvyF9gfwRaX2XRkUHjlddhchSyJfOTC60CrYhNy9uiBKIJF7cd3JJo
 grpFVn+0TVzkIz+R4+EDweIBgDY35bNpXYluxnNvZuTbIiQvlzUQ/M1rdWrSlIdPrOP5
 2tmw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:to:from:subject:message-id:date:user-agent
 :mime-version:content-language:content-transfer-encoding;
 bh=IvgTRF0ZNV6o/TjynJB5mLzWh33jnbvChypC7+TQV88=;
 b=dIEauwAA/ImZTluS8wUE3kaLOdumpzxm6QhsI7IsmbRJdBpUzZwHzgHxHlpQFHwwJn
 Zje6TaZdp2EeIPTB2yLATKJk6N3yHfzDRfrrOHX6e+tJwjj5593nhc6yVzkE9UdJUz6G
 4nv8oLPnw/znqtbX4L9eUrppYdP8XzvH+p3A4dPBbY7Z4cjr4gzpnlztplPSCHPeHAiI
 vp5JxSPcOkjfxjURVhW7ewcPnjDyRW3lW20skrQlQ8jK80+VekykbxVD43eaXwRik6vB
 HONAzw3kCqZIgp3N2XtnGtF90HKbJh56wf8Q8v+U/Aet62Xz5C968CIMQU1Zi5ejIENa
 kyPQ==
X-Gm-Message-State: AOAM532LZkC+LCeo/bKPVs05ZacpE12KDYPGLwe+caukqPtumz8uCzlZ
 90zrzFxlEO4hNDK4UmTQV/Ts4jw9Vyw=
X-Google-Smtp-Source: ABdhPJzaEnG1ywH8Y4dURfQI4Tgz3oAQMg75oxt5f/91JUqh9MzncZ9oMch27AOiPinS1zhrpMmMyA==
X-Received: by 2002:a1c:e482:: with SMTP id b124mr10714232wmh.25.1605881955800; 
 Fri, 20 Nov 2020 06:19:15 -0800 (PST)
Received: from [192.168.23.100] (92.40.180.6.threembb.co.uk. [92.40.180.6])
 by smtp.gmail.com with ESMTPSA id q2sm5241863wru.76.2020.11.20.06.19.13
 for <bug-coreutils@HIDDEN>
 (version=TLS1_2 cipher=ECDHE-ECDSA-AES128-GCM-SHA256 bits=128/128);
 Fri, 20 Nov 2020 06:19:14 -0800 (PST)
To: bug-coreutils@HIDDEN
From: Chris Elvidge <celvidge001@HIDDEN>
Subject: Error when 'make'ing latest version of coreutils
Message-ID: <dc06b729-a6ac-5a43-cc91-e2d1a95d7f18@HIDDEN>
Date: Fri, 20 Nov 2020 14:19:12 +0000
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:52.0) Gecko/20100101
 Thunderbird/52.2.1 Lightning/5.4
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-GB
Content-Transfer-Encoding: 8bit
Received-SPF: pass client-ip=2a00:1450:4864:20::331;
 envelope-from=celvidge001@HIDDEN; helo=mail-wm1-x331.google.com
X-Spam_score_int: 25
X-Spam_score: 2.5
X-Spam_bar: ++
X-Spam_report: (2.5 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1, DKIM_VALID=-0.1,
 DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, FREEMAIL_ENVFROM_END_DIGIT=0.25,
 FREEMAIL_FROM=0.001, FREEMAIL_REPLY=1, RCVD_IN_DNSWL_NONE=-0.0001,
 RCVD_IN_SBL_CSS=3.335, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=no autolearn_force=no
X-Spam_action: no action
X-Spam-Score: 3.5 (+++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: I keep getting ./lib/stdlib.h:695:5: error: token "@" is not
 valid in preprocessor expressions #if @GNULIB_ALIGNED_ALLOC@ ^
 ./lib/stdlib.h:1059:5:
 error: token "@" is not valid in preprocessor expressions #if @GNULI [...]
 Content analysis details:   (3.5 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -2.3 RCVD_IN_DNSWL_MED      RBL: Sender listed at https://www.dnswl.org/,
 medium trust [209.51.188.17 listed in list.dnswl.org]
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (celvidge001[at]gmail.com)
 3.6 RCVD_IN_SBL_CSS        RBL: Received via a relay in Spamhaus SBL-CSS
 [92.40.180.6 listed in zen.spamhaus.org]
 1.0 SPF_SOFTFAIL           SPF: sender does not match SPF record (softfail)
 0.2 FREEMAIL_ENVFROM_END_DIGIT Envelope-from freemail username ends
 in digit (celvidge001[at]gmail.com)
 -0.0 SPF_HELO_PASS          SPF: HELO matches SPF record
 0.0 RCVD_IN_MSPIKE_H4      RBL: Very Good reputation (+4)
 [209.51.188.17 listed in wl.mailspike.net]
 0.0 RCVD_IN_MSPIKE_WL      Mailspike good senders
 1.0 FREEMAIL_REPLY         From and body contain different freemails
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.5 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  I keep getting ./lib/stdlib.h:695:5: error: token "@" is not
    valid in preprocessor expressions #if @GNULIB_ALIGNED_ALLOC@ ^ ./lib/stdlib.h:1059:5:
    error: token "@" is not valid in preprocessor expressions #if @GNULI [...]
    
 
 Content analysis details:   (1.5 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  0.0 RCVD_IN_MSPIKE_H4      RBL: Very Good reputation (+4)
                             [209.51.188.17 listed in wl.mailspike.net]
  3.6 RCVD_IN_SBL_CSS        RBL: Received via a relay in Spamhaus SBL-CSS
                             [92.40.180.6 listed in zen.spamhaus.org]
 -2.3 RCVD_IN_DNSWL_MED      RBL: Sender listed at https://www.dnswl.org/,
                             medium trust
                             [209.51.188.17 listed in list.dnswl.org]
  0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
                             provider (celvidge001[at]gmail.com)
  1.0 SPF_SOFTFAIL           SPF: sender does not match SPF record (softfail)
  0.2 FREEMAIL_ENVFROM_END_DIGIT Envelope-from freemail username ends
                             in digit (celvidge001[at]gmail.com)
 -0.0 SPF_HELO_PASS          SPF: HELO matches SPF record
  0.0 RCVD_IN_MSPIKE_WL      Mailspike good senders
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager

I keep getting

./lib/stdlib.h:695:5: error: token "@" is not valid in preprocessor 
expressions
  #if @GNULIB_ALIGNED_ALLOC@
      ^
./lib/stdlib.h:1059:5: error: token "@" is not valid in preprocessor 
expressions
  #if @GNULIB_POSIX_MEMALIGN@
      ^
when running make in the latest version of coreutils.

Slackware 14.2 : 32-bit : VBox VM

I did:
git clone git://git.sv.gnu.org/coreutils
./bootstrap
git submodule foreach git pull origin master
git config --global user.email "celvidge001@HIDDEN"
git config --global user.name "Chris Elvidge"
git commit -m 'build: update gnulib submodule to latest' gnulib
./configure
make

Relevant lines from stdlib.h

'sed -n 690,700p ./lib/stdlib.h'
# endif
#endif


/* Allocate memory with indefinite extent and specified alignment.  */
#if @GNULIB_ALIGNED_ALLOC@
# if @REPLACE_ALIGNED_ALLOC@
#  if !(defined __cplusplus && defined GNULIB_NAMESPACE)
#   undef aligned_alloc
#   define aligned_alloc rpl_aligned_alloc
#  endif

'sed -n 1055,1065p ./lib/stdlib.h'
# define mktemp _mktemp
#endif

/* Allocate memory with indefinite extent and specified alignment.  */
#if @GNULIB_POSIX_MEMALIGN@
# if @REPLACE_POSIX_MEMALIGN@
#  if !(defined __cplusplus && defined GNULIB_NAMESPACE)
#   undef posix_memalign
#   define posix_memalign rpl_posix_memalign
#  endif
_GL_FUNCDECL_RPL (posix_memalign, int,

Can anyone help, please?

-- 

Chris Elvidge

5 Ebor Park, Appleton Roebuck, York.  YO23 7DZ.
Tel (Mob): +447443472958 mailto:celvidge@HIDDEN

Calle Padre Raimundo Codesal 1, Vélez-Málaga, 29700, España






Acknowledgement sent to Chris Elvidge <celvidge001@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-coreutils@HIDDEN. Full text available.
Report forwarded to bug-coreutils@HIDDEN:
bug#44763; Package coreutils. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sat, 21 Nov 2020 17:45:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.